  portainer:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-portainer
    #image: portainer/portainer
    build:
      context: ./portainer/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    command: -H unix:///var/run/docker.sock
    #restart: always
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ./portainer/volumes/directory/data/:/data/
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.10
        aliases:
          - portainer.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "10090:9000"
    expose:
      - "9000"
